<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_scene.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Scene Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_scene.html">Scene</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a5715863fe55bc46732c50ffc496e0f33">addLight</a>(Light *_light)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#add3094f0f28ce5af3ceba0c73332cff9">addSurface</a>(Surface *_surface, std::string _id)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a9ecf32c817a0b506a7bec7d0cca62993">addSurface</a>(Surface *_surface)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#a45b8655cf456ce0383290db41f2b7c0b">bvh</a></td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a2510b15715c974c567cffef03f1afa1f">getLightsVector</a>()</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#acaf6d293b31f7ebcf20f1c9195ac4473">getRootTransform</a>()</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#af9c3da4fc4d5a31613601a23543abb92">getSurfacesVector</a>()</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#a58a0cf5a161223752ab530141dd67df7">hit</a>(const Ray &amp;r, hit_rec &amp;h_r, double t_min, double t_max, Surface *light_geode)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a4ecc3182a80435e1c4dfbe1b20e559bd">lights</a></td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#ad7dfd803c8a3e7c5379ec9866206b4f3">meshFromID</a>(std::string _id)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a6fc93379440340cecd060235a1b9f69a">objects</a></td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#a428607516caaa0d83047574c4e77ce70">reflection</a>(Ray &amp;ray, hit_rec h_r)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a6849be73b0e7e50ec55d1e7a8d0c1ec4">refraction</a>(Ray &amp;ray, hit_rec h_r, double &amp;R)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#a60b89dee490379b29841bb89bdc2de4f">removeSurface</a>(int _index)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a979988030703212b02a2ce950b5ed0a6">root_tf</a></td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene</a>()</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a9d206b4dd94733867c8f07834319a2a1">setBVH</a>()</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#a0747eea84e4436d8f9a80e47ee1cfc66">sphereFromID</a>(std::string _id)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#a6e766a2cb866e58fb4e2d529b5937890">surfaceFromID</a>(std::string _id)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#a0196c28bebf7f0cd29345066887ac4f1">surfaces</a></td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_scene.html#aa164a99f7b7b95f91ad96c065da409d5">transform</a>()</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_scene.html#adf0478423fdf556ddb7759ad358e1597">triangleFromID</a>(std::string _id)</td><td class="entry"><a class="el" href="class_scene.html">Scene</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
